Package org.eclipse.m2m.atl.emftvm.util

# Class PluginExtensionUtilImpl

java.lang.Object
org.eclipse.m2m.atl.emftvm.util.PluginExtensionUtilImpl

All Implemented Interfaces:
  `PluginExtensionUtil`

public class PluginExtensionUtilImpl extends Object implements PluginExtensionUtil
Implementation for `PluginExtensionUtil`.

## Constructor Summary

Constructors
Constructor
Description
`PluginExtensionUtilImpl()`

## Method Summary

Modifier and Type
Method
Description
`TypeMap<Class<?>,ModelFactory>`
`createModelFactoryRegistry()`
Creates a `TypeMap` of `Resource` classes/interfaces to `ModelFactory` instances that can be used for those `Resource`s.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PluginExtensionUtilImpl

public PluginExtensionUtilImpl()

## Method Details

### createModelFactoryRegistry

public TypeMap<Class<?>,ModelFactory> createModelFactoryRegistry()
Creates a `TypeMap` of `Resource` classes/interfaces to `ModelFactory` instances that can be used for those `Resource`s.

Specified by:
  `createModelFactoryRegistry` in interface `PluginExtensionUtil`
Returns:
  a `TypeMap` of `Resource` classes/interfaces to `ModelFactory` instances